# Function assignPropertiesAsync

- assignPropertiesAsync<T>(defs, obj, properties): Promise<void>

- Sets properties on an object based on deserialization rules defined in property metadata. This will also await any deserialization that is performed asynchronously.

  #### Type Parameters

  - T

  #### Parameters

  - defs: PropertyDefs<T>

    The property metadata for the object.

  - obj: object

    The object to modify.

  - properties: Partial<T>

    The property values to set keyed by property name.

  #### Returns Promise<void>